Validate Agent Connection

post

http://{host}:{port}/veridata/v1/services/validate/connection

Required Role: Administrator, SuperUser, DetailMonitoringOperator, MonitoringOperator, CommandLineOperator

Validate Agent Connection.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Allowed Values: [ "notspecified", "oracle", "tandemnsk", "sqlserver", "sybase", "db2", "teradata", "informix", "hive", "mysql", "postgresql", "mariadb", "singlestore", "databricks", "snowflake", "mongodb", "jct", "ajd", "cosmos", "atlas", "docdb" ]
    Database Type.
  • Agent host.
  • Agent port.
  • Default Value: false
    Use Secure Socket Layer (SSL) for Server-Agent communication.
Example:
{
    "host":"100.101.98.100",
    "port":8089,
    "ssl":false,
    "dbType":"ORACLE"
}
Back to Top

Response

Supported Media Types

200 Response

Agent Connection is valid.
Body ()
Root Schema : schema
Type: object
Show Source
  • Allowed Values: [ "notspecified", "oracle", "tandemnsk", "sqlserver", "sybase", "db2", "teradata", "informix", "hive", "mysql", "postgresql", "mariadb", "singlestore", "databricks", "snowflake", "mongodb", "jct", "ajd", "cosmos", "atlas", "docdb" ]
    Database Type.
  • Agent host.
  • Agent port.
  • Default Value: false
    Use Secure Socket Layer (SSL) for Server-Agent communication.
Example:
{
    "host":"100.101.98.100",
    "port":8089,
    "ssl":false,
    "dbType":"ORACLE"
}

400 Response

Bad Request.
Body ()
Root Schema : Error
Type: object
Show Source
Example:
{
    "errCode":"OGGV-00001",
    "errMsg":"Error message"
}

401 Response

Unauthorized.
Body ()
Root Schema : Error
Type: object
Show Source
Example:
{
    "errCode":"OGGV-00001",
    "errMsg":"Error message"
}

404 Response

Not Found.
Body ()
Root Schema : Error
Type: object
Show Source
Example:
{
    "errCode":"OGGV-00001",
    "errMsg":"Error message"
}

500 Response

Server Error.
Body ()
Root Schema : Error
Type: object
Show Source
Example:
{
    "errCode":"OGGV-00001",
    "errMsg":"Error message"
}
Back to Top